<#include "header.ftl">
<@head title="分类列表 - ${blog_title!}"/>
    <main>
    <style>
        main .tags-list{
            display: flex;
            flex-wrap: wrap;
        }
        main .tags-list a{
            color: inherit;
            border-radius: 2em;
            padding: .5em .75em;
            margin: 0 .5em .5em 0;
            display: inline-block;
            transition: border .3s;
            border: 1px solid var(--board-border);
        }
    </style>
    <div class="wrap min">
        <section class="page-title">
            <h2>分类列表</h2>
        </section>
        <section class="page-content">
            <@categoryTag method="list">
                <div class="tags-list">
                <#if categories?? && categories?size gt 0>
                   <#list categories as category>
                        <a href="${category.fullPath!}" title="${category.postCount!}个文章"> ${category.name}(${category.postCount!})</a>
                    </#list>
                </#if>
             </@categoryTag>
        </section>
    </div>
</main>
<#include "footer.ftl">
