<#include "header.ftl">
<@head title="标签云 - ${blog_title!}" />
<#--
标签云
@package custom
-->
<main>
    <style>
        main .tags-list{
            display: flex;
            flex-wrap: wrap;
        }
        main .tags-list a{
            color: inherit;
            border-radius: 2em;
            padding: .5em .75em;
            margin: 0 .5em .5em 0;
            display: inline-block;
            transition: border .3s;
            border: 1px solid var(--board-border);
        }
    </style>
    <div class="wrap min">
        <section class="page-title">
            <h2>标签云</h2>
        </section>
        <section class="page-content">
            <@tagTag method="list">
                <div class="tags-list">
                <#if tags?? && tags?size gt 0>
                    <#list tags as tag>
                        <a href="${tag.fullPath!}" title="${tag.postCount!}个话题"> ${tag.name}(${tag.postCount!})</a>
                    </#list>
                </#if>
            </@tagTag>
        </section>
    </div>
</main>
<#include "footer.ftl">